Loading...
Searching...
No Matches
halide_handle_traits< T > Struct Template Reference

A type traits template to provide a halide_handle_cplusplus_type value from a C++ type. More...

`#include <Type.h>`

## Static Public Member Functions

static HALIDE_ALWAYS_INLINE const halide_handle_cplusplus_type * | type_info ()

## Detailed Description

template<typename T>
struct halide_handle_traits< T >

A type traits template to provide a halide_handle_cplusplus_type value from a C++ type.

Note the type represented is implicitly a pointer.

A NULL pointer of type halide_handle_traits represents "void *". This is chosen for compactness or representation as Type is a very widely used data structure.

Although this is in the global namespace, it should be considered "Halide Internal" and subject to change; code outside Halide should avoid referencing it directly.

Definition at line 256 of file Type.h.

## Member Function Documentation

## type_info()

template<typename T>

HALIDE_ALWAYS_INLINE const halide_handle_cplusplus_type * halide_handle_traits< T >::type_info | ( |  | ) |

inline static

Definition at line 259 of file Type.h.

References HALIDE_ALWAYS_INLINE, and halide_handle_cplusplus_type::make().

Referenced by Halide::type_of().

The documentation for this struct was generated from the following file:

- src/Type.h